import 'dart:async';
import 'package:get/get.dart';
import 'package:guru_utils/controller/lifecycle_controller.dart';

import 'settings_design_model.dart';
import 'settings_model.dart';

class SettingsController extends LifecycleController {
  final SettingsModel model = SettingsModel();
  SettingsDesignSpec get designModel => SettingsDesignSpec.get();
  final StreamController<bool> _streamController = StreamController<bool>();
  Stream<bool> get valueStream => _streamController.stream;

  changeValue(bool value) {
    _streamController.add(value);
  }

  @override
  void onReady() {
    _streamController.add(true);
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }
}
